package cn.com.countrygarden.bi.main.service.personnel;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelAssessmentemporary;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 270评估导入临时表-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-11-21
 */
public interface PersonnelAssessmentemporaryService {

    Result queryPageList(PersonnelAssessmentemporary personnelAssessmentemporary, int page, int size);

    Result queryById(Integer id);

    Result add(PersonnelAssessmentemporary personnelAssessmentemporary, AccessToken accessToken);

    Result edit(PersonnelAssessmentemporary personnelAssessmentemporary, AccessToken accessToken);

    Result del(Integer id);
    
    Result excelToxls(MultipartFile multipartFile, String fileName,String usname,String userCode,AccessToken accessToken);
    
    Result listemporary(String search,AccessToken accessToken);
    
    Result getlist(String search,AccessToken accessToken);

}